
startColor = "Blue"

endColor1 = "Red"
endColor2 = "Green"
endColor3 = "Yellow"


# Animation defaults
Framer.Defaults.Animation =
	time: 5
	delay: 1


# Function that triggers all animations
animateColors = ->
	# Set all layers to the startColor
	for layer in Artboard.children
		layer.backgroundColor = startColor
	
	# Animate colors in HUSL (the default)
	husl_1.animate
		backgroundColor: endColor1
	
	husl_2.animate
		backgroundColor: endColor2
	
	husl_3.animate
		backgroundColor: endColor3
	
	# Animate colors in RGB
	rgb_1.animate
		backgroundColor: endColor1
		options:
			colorModel: "rgb"
	
	rgb_2.animate
		backgroundColor: endColor2
		options:
			colorModel: "rgb"
	
	rgb_3.animate
		backgroundColor: endColor3
		options:
			colorModel: "rgb"
	
	# Animate colors in HSL
	hsl_1.animate
		backgroundColor: endColor1
		options:
			colorModel: "hsl"
	
	hsl_2.animate
		backgroundColor: endColor2
		options:
			colorModel: "hsl"
	
	hsl_3.animate
		backgroundColor: endColor3
		options:
			colorModel: "hsl"


# Trigger on load
animateColors()

# … and trigger with a tap anywhere on the screen
Framer.Device.screen.onTap animateColors
